Chyba v NextCellent pluginu – gallery Widget

0
35

Pokud používáte skvělý plugin NextCellent, tak tento plugin (krom spousta víceméně nekritických nedodělků), jednu aktuální chybku, se kterou Vám nyní poradím. Pokud použijete widget pro výběr obrázků galerie (NextCellent Gallery Widget), zadáte ID, zjistíte, že nelze použít prostřední volbu „Only which are listed“ , tj česky „Pouze ty, které jsou v seznamu“. Je třeba najít v adresáři pluginů (wp-content/plugins) adresář „nextcellent-gallery“ a v podadresáři /widgets se nachází soubor „class-ngg-gallery-widget.php“.

Přibližně od řádky 51 najdete následující kód:

if( $new_instance['exclude'] == 'denied' ) {
$instance['exclude'] = 'denied';
} elseif ( $new_instance['allow'] ) {
$instance['exclude'] = 'allow';
} else {
$instance['exclude'] = 'all';
}

A nahraďte jej následujícím kódem:
if( $new_instance['exclude'] == 'denied' ) {
$instance['exclude'] = 'denied';
} elseif ( $new_instance['exclude'] == 'allow' ) {
$instance['exclude'] = 'allow';
} else {
$instance['exclude'] = 'all';
}

Příčina je v řádce elseif ( $new_instance[‚allow‘]), která správně vypadat elseif ( $new_instance[‚exclude‘] == ‚allow‘ ). (Proměnná $new_instance[‚allow‘] totiž neexistuje).

Poznámka: Tato chyba by měla být zároveň opravena v následující verzi pluginu.

LEAVE A REPLY

Please enter your comment!
Please enter your name here